Box2D: b2CircleShape Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
b2CircleShape Class Reference

A solid circle shape. More...

`#include <b2_circle_shape.h>`

Inheritance diagram for b2CircleShape:

## Public Member Functions
b2Shape * | Clone (b2BlockAllocator *allocator) const override
| Implement b2Shape.
int32 | GetChildCount () const override
bool | TestPoint (const b2Transform &transform, const b2Vec2 &p) const override
| Implement b2Shape.
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input, const b2Transform &transform, int32 childIndex) const override
void | ComputeAABB (b2AABB *aabb, const b2Transform &transform, int32 childIndex) const override
void | ComputeMass (b2MassData *massData, float density) const override
Public Member Functions inherited from b2Shape
Type | GetType () const

## Public Attributes
b2Vec2 | m_p
| Position.
Public Attributes inherited from b2Shape
Type | m_type
float | m_radius

## Additional Inherited Members
Public Types inherited from b2Shape
enum | Type { e_circle = 0 , e_edge = 1 , e_polygon = 2 , e_chain = 3 , e_typeCount = 4 }

## Detailed Description

A solid circle shape.

## Member Function Documentation

## ◆ Clone()

b2Shape * b2CircleShape::Clone | ( | b2BlockAllocator * | allocator | ) | const
| overridevirtual

Implement b2Shape.

Implements b2Shape.

## ◆ ComputeAABB()

void b2CircleShape::ComputeAABB | ( | b2AABB * | aabb,
|  | const b2Transform & | transform,
|  | int32 | childIndex ) const
| overridevirtual

See also
  b2Shape::ComputeAABB

Implements b2Shape.

## ◆ ComputeMass()

void b2CircleShape::ComputeMass | ( | b2MassData * | massData,
|  | float | density ) const
| overridevirtual

See also
  b2Shape::ComputeMass

Implements b2Shape.

## ◆ GetChildCount()

int32 b2CircleShape::GetChildCount | ( |  | ) | const
| overridevirtual

See also
  b2Shape::GetChildCount

Implements b2Shape.

## ◆ RayCast()

bool b2CircleShape::RayCast | ( | b2RayCastOutput * | output,
|  | const b2RayCastInput & | input,
|  | const b2Transform & | transform,
|  | int32 | childIndex ) const
| overridevirtual

Implement b2Shape.

Note
  because the circle is solid, rays that start inside do not hit because the normal is not defined.

Implements b2Shape.

## ◆ TestPoint()

bool b2CircleShape::TestPoint | ( | const b2Transform & | transform,
|  | const b2Vec2 & | p ) const
| overridevirtual

Implement b2Shape.

Implements b2Shape.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.2/include/box2d/b2_circle_shape.h